%define ver 1.18
#define snap rc1
%define srcver %{ver}%{?snap:-%{snap}}

%define lib_major 0
%define lib_name %mklibname %{name} %{lib_major}
%define devel_name %mklibname %{name} -d

Summary:	C library for parsing command line parameters
Name:		popt
Version:	%{ver}%{?snap:~%{snap}}
Release:	%mkrel 1
Epoch:		1
License:	MIT
Group:		System/Libraries
URL:		https://github.com/rpm-software-management/popt/
Source:		http://ftp.rpm.org/releases/testing/%{name}-%{srcver}.tar.gz

%description
Popt is a C library for parsing command line parameters. Popt was
heavily influenced by the getopt() and getopt_long() functions, but
it improves on them by allowing more powerful argument expansion.
Popt can parse arbitrary argv[] style arrays and automatically set
variables based on command line arguments. Popt allows command line
arguments to be aliased via configuration files and includes utility
functions for parsing arbitrary strings into argv[] arrays using
shell-like rules.

%package -n	%{lib_name}
Summary:	Main %{name} library
Group:		System/Libraries
Requires:	%{name}-data = %{epoch}:%{version}
Provides:	%{name} = %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with the %{name} library.


%package static
Summary:	Static library for parsing command line parameters
Group:		Development/C
Requires:	%{devel_name} = %{epoch}:%{version}-%{release}

%description static
The popt-static package includes static libraries of the popt library.
Install it if you need to link statically with libpopt.


%package -n	%{devel_name}
Summary:	Development headers and libraries for %{name}
Group:		Development/C
Requires:	%{lib_name} = %{epoch}:%{version}
Requires:	%{lib_name} >= 1:1.15-8
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	libpopt-devel = %{epoch}:%{version}-%{release}

%description -n	%{devel_name} 
This package contains the header files and libraries needed for
developing programs using the %{name} library.

%package -n	%{name}-data
Summary:	Data files for %{name}
Group:		System/Libraries
BuildArch:	noarch

%description -n	popt-data
This package contains popt data files like locales.

%prep
%autosetup -n %{name}-%{srcver}

%build
autoreconf -fi
%configure	--disable-rpath
%make_build

%install
%make_install
%find_lang %{name}
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{lib_name}
%doc README
%{_libdir}/lib%{name}.so.%{lib_major}{,.*}


%files static
%{_libdir}/libpopt.a

%files -n %{devel_name}
%{_includedir}/%{name}.h
%{_libdir}/pkgconfig/popt.pc
%{_libdir}/lib%{name}.so
%{_mandir}/man3/popt.*

%files -n %{name}-data -f %{name}.lang


%changelog
* Tue Jun 23 2020 tv <tv> 1:1.18-1.mga8
+ Revision: 1598697
- 1.18 final

* Thu Jun 04 2020 tv <tv> 1:1.18~rc1-16.mga8
+ Revision: 1590274
- Rebase to popt 1.18-rc1
- Update URLs to the new upstream

* Tue Jun 02 2020 tv <tv> 1:1.16-16.mga8
+ Revision: 1589706
- Added upstream patch to handle glob(3) error returns (rhbz#1051685)
- Fix a memory leak

* Fri Feb 14 2020 umeabot <umeabot> 1:1.16-15.mga8
+ Revision: 1516136
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1:1.16-14.mga7
+ Revision: 1300345
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Sun Feb 21 2016 daviddavid <daviddavid> 1:1.16-13.mga6
+ Revision: 975274
- fix requires again adding missing epoch on static subpackage

* Sun Feb 21 2016 tv <tv> 1:1.16-12.mga6
+ Revision: 975095
- fix requires

* Sun Feb 21 2016 tv <tv> 1:1.16-11.mga6
+ Revision: 975080
- fix group
- add static subpackage for efivar

* Fri Feb 12 2016 umeabot <umeabot> 1:1.16-10.mga6
+ Revision: 958547
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 1:1.16-9.mga6
+ Revision: 867855
- rebuild for new gcc

* Fri Aug 21 2015 tmb <tmb> 1:1.16-8.mga6
+ Revision: 867686
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 1:1.16-7.mga5
+ Revision: 746402
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.16-6.mga5
+ Revision: 687723
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:1.16-5.mga4
+ Revision: 517615
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:1.16-4.mga3
+ Revision: 378067
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 cjw <cjw> 1:1.16-3.mga3
+ Revision: 344488
- patch2: fix build with automake 1.13

* Fri Jul 27 2012 fwang <fwang> 1:1.16-2.mga3
+ Revision: 274959
- fix build with automake 1.12
- drop .la file, move to prefix

* Sat Jan 08 2011 blino <blino> 1:1.16-1.mga1
+ Revision: 453
- imported package popt

